<?php
namespace WebFacing\cPanel\Email;

/**
 * Exit if accessed directly
 */
if ( ! \class_exists( '\WP' ) ) {
	exit;
}

function is_debug() {
	return \defined( '\WF_DEBUG' ) && \WF_DEBUG;
}

function error_log( string $message, int $message_type = 0 , ?string $destination = null, ?string $extra_headers = null ): bool {
	if ( is_debug() ) {
		return \error_log( \plugin_basename( PLUGIN_FILE ) . ' ' . $message, $message_type, $destination, $extra_headers );
	} else {
		return true;
	}
}
